###
# Looks up the IPv4 address of the given hostname and tries to find the reverse record of that IP
#
# Globals:
#   None
# Arguments:
#   $domain string Hostname to look up
# Returns:
#   None
###
function nsreverse
	# lookup IP
	set ip (dig "$argv[1]" A +short); or return 1

	# lookup reverse record
	set reverse (dig -x "$ip" +short); or return 1

	# output
	echo -e "\033[1mIPv4:          \033[0;34m $ip\033[0m"
	echo -e "\033[1mReverse lookup:\033[0;34m $reverse\033[0m"
end
